Name:		python-babel
Version:		1.3
Release:	%mkrel 1
Summary:	Library for internationalizing Python applications

Group:		Development/Python
License:		BSD
URL:		http://babel.pocoo.org/
Source0:	https://pypi.python.org/packages/source/B/Babel/Babel-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	python-pytz
BuildRequires:	python-setuptools

Requires:	python-setuptools

%description
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%package -n python3-babel
Summary:        Library for internationalizing Python applications
Group:          Development/Python

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytz

Requires:       python3-setuptools
Requires:       python3-pytz

%description -n python3-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%prep
%setup -q -n Babel-%{version}
chmod a-x babel/messages/frontend.py
%{__sed} -i -e '/^#!/,1d' babel/messages/frontend.py
cp -r . %{py3dir}


%build
%{__python} setup.py build


pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %buildroot
pushd %{py3dir}
%{__python3} setup.py install --skip-build --no-compile --root %{buildroot}
popd

%{__python} setup.py install --skip-build --no-compile --root %{buildroot}


%files
%doc CHANGES README docs/cmdline.rst
%{_bindir}/pybabel
%{python_sitelib}/Babel-%{version}-py*.egg-info
%{python_sitelib}/babel

%files -n python3-babel
%{python3_sitelib}/Babel-%{version}-py*.egg-info
%{python3_sitelib}/babel


%changelog
* Fri Jun 05 2015 gseaman <galen.seaman at comcast.net> 1.3-1gseaman2015
- first build
